let $vimdir = $HOME.'/.vim'
if has('nvim')
	let $vimdir = $XDG_CONFIG_HOME.'/nvim'
endif

" load a per-environment file if one exists
if filereadable("$ENV_PATH/vim")
	source "$ENV_PATH/vim"
endif

call plug#begin($vimdir.'/bundle')
source $vimdir/plugins.vim
call plug#end()

filetype on
filetype indent on
filetype plugin on

source $vimdir/settings.vim
source $vimdir/commands.vim
source $vimdir/bindings.vim

if filereadable("$ENV_PATH/vim-after")
	source "$ENV_PATH/vim-after"
endif
